Download it now!
Bug 101282 - Alt arrow keys single pixel movement of selected objects stopped working (high resolution display..)
Summary: Alt arrow keys single pixel movement of selected objects stopped working (hig...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.2.0.3 rc
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-03 21:12 UTC by brian.bj.parker99
Modified: 2019-12-03 13:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Draw alt arrow keys do not shift selected rectangle (193.73 KB, application/zip)
2016-08-05 03:06 UTC, brian.bj.parker99
Details

Note You need to log in before you can comment on or make changes to this bug.
Description brian.bj.parker99 2016-08-03 21:12:26 UTC
In Draw in OS X Alt+arrow keys would move the selected object by one pixel (compared with the default movement of multiple pixels). This worked in earlier versions but in the later versions this stopped working. In particular, it does not work in LO Version: 5.2.0.4 but actually stopped working several versions ago.

Moving by a larger amount with shift+arrow keys still works.

The key combination is documented at https://help.libreoffice.org/Common/General_Shortcut_Keys_in

This is an essential operation for precise drawing operations and so should be re-enabled.
Comment 1 Alex Thurgood 2016-08-04 08:39:49 UTC
Tested on 

Version: 5.1.4.2
Build ID: f99d75f39f1c57ebdd7ffc5f42867c12031db97a
CPU Threads: 2; OS Version: Mac OS X 10.11.6; UI Render: default; 
Locale: fr-FR (fr.UTF-8)

1) Open new Draw document.
2) Insert a star from the list of pre-defined objects.
3) The star is inserted onto the page and pre-selected (green handle borders)
4) Alt-right arrow moves the object either 0,06cm or 0,07cm each time (it varies with each step).
5) Default grid (Preferences - LibreOffice Draw - Grid) is 1cm by 1cm with 10 subdivisions H/V).

Also tested on
Version: 5.3.0.0.alpha0+
Build ID: 66fc20335348ec195237c711edca821d8771439c
CPU Threads: 2; OS Version: Mac OS X 10.11.6; UI Render: default; 
Locale: fr-FR (fr.UTF-8); Calc: group

Repeated all steps from above, exactly same behaviour - WFM, no repro

@Brian : please provide more detailed instructions like I have above so that we can be sure we're doing this the same way as you are. Also provide your Draw grid resolution settings, and an example document where the problem illustrates itself for us to test.

Setting NEEDINFO pending requested information. Once provided, please set back to UNCONFIRMED.
Comment 2 Heiko Tietze 2016-08-04 09:33:17 UTC
How much an object is moved when Alt is being pressed depends on the zoom factor. Try with 20 vs 200%. 

Moving objects by 1px might be too small at large drawings, in case of high resolution displays, and for most use cases.
Comment 3 brian.bj.parker99 2016-08-05 03:06:18 UTC
Created attachment 126604 [details]
Draw alt arrow keys do not shift selected rectangle

Draw document and screen shot of draw preferences attached.
Comment 4 brian.bj.parker99 2016-08-05 03:07:34 UTC
alt arrow keys do not move selected object. Example draw file and screenshot attached.
Comment 5 brian.bj.parker99 2016-08-05 03:13:57 UTC
(In reply to Alex Thurgood from comment #1)
> Tested on 
> 
> Version: 5.1.4.2
> Build ID: f99d75f39f1c57ebdd7ffc5f42867c12031db97a
> CPU Threads: 2; OS Version: Mac OS X 10.11.6; UI Render: default; 
> Locale: fr-FR (fr.UTF-8)
> 
> 1) Open new Draw document.
> 2) Insert a star from the list of pre-defined objects.
> 3) The star is inserted onto the page and pre-selected (green handle borders)
> 4) Alt-right arrow moves the object either 0,06cm or 0,07cm each time (it
> varies with each step).
> 5) Default grid (Preferences - LibreOffice Draw - Grid) is 1cm by 1cm with
> 10 subdivisions H/V).
> 
> Also tested on
> Version: 5.3.0.0.alpha0+
> Build ID: 66fc20335348ec195237c711edca821d8771439c
> CPU Threads: 2; OS Version: Mac OS X 10.11.6; UI Render: default; 
> Locale: fr-FR (fr.UTF-8); Calc: group
> 
> Repeated all steps from above, exactly same behaviour - WFM, no repro
> 
> @Brian : please provide more detailed instructions like I have above so that
> we can be sure we're doing this the same way as you are. Also provide your
> Draw grid resolution settings, and an example document where the problem
> illustrates itself for us to test.
> 
> Setting NEEDINFO pending requested information. Once provided, please set
> back to UNCONFIRMED.

Tested as above (except rectangle added).
Alt arrows do not move selected rectangle at all. Arrow keys move it 0.1 cm. Shift arrow keys move it 1 cm. Grid set to 1cm by 1cm 10 subdivisions (see attached screenshot).  
The documentation states that alt arrow should move by 1 pixel. I believe that was previously the case when I used LO Draw to edit pdfs. Certainly being able to zoom in and move by 1 pixel is very useful for fine positioning of objects.

LO version  5.2.0.4. OSX 10.11.6  MacBook Pro (Retina, 15-inch, Late 2013)
Comment 6 Heiko Tietze 2016-08-05 07:33:52 UTC
Zoom factor 25%
alt+cursor: 5.04, 5.14, 5.25, 5.35, 5.46 cm
cursor: 5.04, 5.14, 5.24, 5.34
shift+cursor: 5.04, 6.04, 7.04

Zoom factor 250%
alt+cursor: 5.04, 5.05, 5.06, 5.07, 5.08 cm
cursor: 5.04, 5.14, 5.24, 5.34
shift+cursor: 5.04, 6.04, 7.04

WORKSFORME as designed
Comment 7 brian.bj.parker99 2016-08-05 12:06:48 UTC
(In reply to Heiko Tietze from comment #6)
> Zoom factor 25%
> alt+cursor: 5.04, 5.14, 5.25, 5.35, 5.46 cm
> cursor: 5.04, 5.14, 5.24, 5.34
> shift+cursor: 5.04, 6.04, 7.04
> 
> Zoom factor 250%
> alt+cursor: 5.04, 5.05, 5.06, 5.07, 5.08 cm
> cursor: 5.04, 5.14, 5.24, 5.34
> shift+cursor: 5.04, 6.04, 7.04
> 
> WORKSFORME as designed

I also tried at zoom factors 25% and 250% and similarly saw 1cm shift with shift+cursor and 0.1 cm shift for cursor  but 0 shift for alt+cursor.


LO version  5.2.0.4. OSX 10.11.6  MacBook Pro (Retina, 15-inch, Late 2013)
Comment 8 Heiko Tietze 2016-08-05 12:41:03 UTC
So it seems to be an issue of the high resolution display.
Comment 9 Cor Nouws 2016-08-06 00:46:49 UTC
maybe clarify the summary a bit ?
Comment 10 Heiko Tietze 2016-08-06 07:59:44 UTC
(In reply to Cor Nouws from comment #9)
> maybe clarify the summary a bit ?

You can move objects on the drawing using the arrow keys. Various options exists, and the issue here is related to alt+arrow. On all tested systems (Linux here, old MacOS without highres display someone else) the object move (depending on zoom factor) but not for the OP.
Comment 11 QA Administrators 2017-10-28 17:47:02 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2019-12-03 13:51:20 UTC
Dear brian.bj.parker99,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug